﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace SfDataGridDemo
{
    public class SelectorClass : StyleSelector
    {
        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            var data = item as MyClass;
            if (data != null)
            {
                if (data.Column3 == "Yellow" && ((container as GridCell).ColumnBase.GridColumn.MappingName == "Column3"))
                    return App.Current.Resources["YellowCellStyle"] as Style;
                else if (data.Column3 == "Green" && ((container as GridCell).ColumnBase.GridColumn.MappingName == "Column3"))
                    return App.Current.Resources["GreenCellStyle"] as Style;
                else if (data.Column3 == "Red" && ((container as GridCell).ColumnBase.GridColumn.MappingName == "Column3"))
                    return App.Current.Resources["RedCellStyle"] as Style;
                else if (data.Column3 == "Cyan" && ((container as GridCell).ColumnBase.GridColumn.MappingName == "Column3"))
                    return App.Current.Resources["CyanCellStyle"] as Style;
                else
                    return App.Current.Resources["DefaultCellStyle"] as Style;
            }
            return base.SelectStyleCore(item, container);
        }
    }
}
